# Generated by Django 3.2.5 on 2021-07-22 06:46

import app.models.course
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ("reversion", "0001_squashed_0004_auto_20160611_1202"),
        ("app", "0010_merge_0009_TrigramExtension_0009_auto_20210709_1436"),
    ]

    operations = [
        migrations.CreateModel(
            name="CourseDescription",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "content",
                    models.TextField(
                        help_text="The description value as a HTML formatted string"
                    ),
                ),
            ],
            options={
                "abstract": False,
            },
        ),
        migrations.AddField(
            model_name="document",
            name="anonymous",
            field=models.BooleanField(
                default=False,
                help_text="If the file is uploaded anonymously and must be hidden in the frontend",
            ),
        ),
        migrations.CreateModel(
            name="CourseDescriptionVersion",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "number",
                    models.IntegerField(
                        default=False, help_text="The version number of this version."
                    ),
                ),
                (
                    "description",
                    models.ForeignKey(
                        blank=True,
                        help_text="Description this revision belongs to.",
                        null=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="course_description_revisions",
                        to="app.coursedescription",
                    ),
                ),
                (
                    "previous_version",
                    models.ForeignKey(
                        blank=True,
                        help_text="Version that came before the current version",
                        null=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="previous_version_relation",
                        to="app.coursedescriptionversion",
                    ),
                ),
                (
                    "reverted_version",
                    models.ForeignKey(
                        blank=True,
                        help_text="Version that was reverted to, when the version was created using a revert.",
                        null=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="reverted_version_relation",
                        to="app.coursedescriptionversion",
                    ),
                ),
                (
                    "revision",
                    models.ForeignKey(
                        blank=True,
                        help_text="Revision this description version belongs to",
                        null=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="revision_relation",
                        to="reversion.revision",
                    ),
                ),
            ],
            options={
                "abstract": False,
            },
        ),
        migrations.AddField(
            model_name="course",
            name="description",
            field=models.OneToOneField(
                blank=True,
                default=app.models.course.default_course_description,
                help_text="The description of this course.",
                on_delete=django.db.models.deletion.CASCADE,
                to="app.coursedescription",
            ),
        ),
    ]
